{% load widget_tweaks %}
<div class="form-group bmd-form-group">
        {% if field.field.widget.input_type != "file" %}
        {{ field.label_tag }}
        {% endif %}

        {% if form.is_bound %}
            {% if field.errors %}
                {% render_field field class="form-control is-invalid" %}
                {% for error in field.errors %}
                <div class="invalid-feedback">
                    {{ error }}
                </div>
                {% endfor %}
            {% else %}
                {% render_field field class="form-control is-valid" %}
            {% endif %}
        {% else %}
            {% if field.field.widget.input_type == "select" %}
                {% render_field field class="selectpicker col-md-12 px-0" data-style="select-with-transition" %}
            {% elif field.field.widget.input_type == "file" %}
                <div class="fileinput fileinput-{% if form.instance.photo.name == 'products/default.jpg' %}new{% else %}exists{% endif %} text-center" data-provides="fileinput">
                    <div class="fileinput-{% if form.instance.photo.name == 'products/default.jpg' %}new{% else %}exists{% endif %} thumbnail img-raised">
                        <img src="{{ form.instance.photo.url }}" alt="...">
                    </div>
                    <div class="fileinput-preview fileinput-{% if form.instance.photo.name == 'products/default.jpg' %}new{% else %}exists{% endif %} thumbnail img-raised"></div>
                    <div>
                        <span class="btn btn-raised btn-round btn-default btn-file">
                            <span class="fileinput-new">Select image</span>
                            <span class="fileinput-exists">Change</span>
                            <input type="file" name="..." id="{{form.photo.auto_id}}">
                        </span>
                        <a href="#pablo" class="btn btn-danger btn-round fileinput-exists" data-dismiss="fileinput">
                        <i class="fa fa-times"></i> Remove</a>
                    </div>
                </div>
            {% else %}
                {% render_field field class="form-control" %}
            {% endif %}
        {% endif %}

        {% if field.help_text %}
            <small class="form-text text-muted">{{ field.help_text }}</small>
        {% endif %}
    </div>